Package icyllis.modernui.animation

# Interface LayoutTransition.TransitionListener

Enclosing class:
  `LayoutTransition`

public static interface LayoutTransition.TransitionListener
This interface is used for listening to starting and ending events for transitions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `endTransition(LayoutTransition transition, ViewGroup container, View view, int transitionType)`
  This event is sent to listeners when any type of transition animation ends.
  `void`
  `startTransition(LayoutTransition transition, ViewGroup container, View view, int transitionType)`
  This event is sent to listeners when any type of transition animation begins.

- ## Method Details

  - ### startTransition

    void startTransition(LayoutTransition transition, ViewGroup container, View view, int transitionType)
    This event is sent to listeners when any type of transition animation begins.
    Parameters:
      `transition` - The LayoutTransition sending out the event.
      `container` - The ViewGroup on which the transition is playing.
      `view` - The View object being affected by the transition animation.
      `transitionType` - The type of transition that is beginning, `LayoutTransition.APPEARING`, `LayoutTransition.DISAPPEARING`, `LayoutTransition.CHANGE_APPEARING`, or `LayoutTransition.CHANGE_DISAPPEARING`.

  - ### endTransition

    void endTransition(LayoutTransition transition, ViewGroup container, View view, int transitionType)
    This event is sent to listeners when any type of transition animation ends.
    Parameters:
      `transition` - The LayoutTransition sending out the event.
      `container` - The ViewGroup on which the transition is playing.
      `view` - The View object being affected by the transition animation.
      `transitionType` - The type of transition that is ending, `LayoutTransition.APPEARING`, `LayoutTransition.DISAPPEARING`, `LayoutTransition.CHANGE_APPEARING`, or `LayoutTransition.CHANGE_DISAPPEARING`.